Page MenuHomePhabricator

Popup transparent after using direct unwatch marker in Special:Watchlist
Closed, ResolvedPublic1 Estimated Story PointsBUG REPORT

Description

What is the problem?

On Special:Watchlist, if you unwatch an entry and then open the popup for that entry, the IPInfo popup is transparent (see screenshot).

(The ability to unwatch an entry directly on the Special:Watchlist page is controlled by a user setting in the Watchlist tab of Special:Preferences, see reproduction steps.)

Steps to reproduce problem
  1. Go to Special:Preferences Watchlist tab
  2. Check Add direct unwatch/watch markers (Γ—/+) to watched pages with changes (JavaScript required for toggle functionality) and save
  3. Go to Special:Watchlist
  4. Click the x link next to an entry
  5. Click the (i) icon for that entry

Expected behavior: Popup is visible
Observed behavior: See screenshot

Environment

Wiki(s): local docker IP Info 0.0.0 (a3b1302) 09:00, 4 May 2022.

Screenshots

g-g-g-ghost.png (310Γ—866 px, 151 KB)

AC
  • Remove the button when something is watchlisted
  • If the + button is used to add it back then the button should re-appear

Event Timeline

Niharika triaged this task as Medium priority.May 5 2022, 8:12 PM
Niharika moved this task from Untriaged to Triage/To be Estimated on the Anti-Harassment board.

Hello @Niharika,

For this task, considering the logline is "unwatched", do we want the features to be available?
Should we make the IPInfo icon unclickable instead, for the popup not to show at all?

Or should we still be able to click on the IPInfo icon and see the popup while the logline is "unwatched"?

Thank you!

My opinion is that if the log line is showing up and the IP address is visible, we should show the IP popup as usual to be consistent. @Prtksxna what do you think?

My opinion is that if the log line is showing up and the IP address is visible, we should show the IP popup as usual to be consistent. @Prtksxna what do you think?

I agree! Elsewhere we allow the popup to be visible regardless of whether or not the page is in your watchlist, so we should stay consistent with that behavior.

Change 803389 had a related patch set uploaded (by TsepoThoabala; author: TsepoThoabala):

[mediawiki/core@master] WIP Popup transparent after using direct unwatch marker in Special:Watchlist

https://gerrit.wikimedia.org/r/803389

@Prtksxna @Niharika Would it be possible to clarify exactly what should be opaque/transparent here, out of the unwatched line, the (i) button and the popup? I guess the same question applies to the strikeout line.

There is a constraint: opacity of an element is applied to all its children, so if the row is transparent, the button and popup will be too (it's not set on each element): https://developer.mozilla.org/en-US/docs/Web/CSS/opacity#description . As well as a technical constraint, I think this implies a semantic constraint, i.e. it would be strange for the line to be transparent, but something in the line to be opaque. (And similarly, it would be strange for the button to be transparent, but the popup be opaque.) I guess within that constraint, it should all be opaque or all transparent.

Another thing we could do would be to remove the (i) button if the line is unwatched, since it's easy enough to rewatch if the user wants to see information. Or we could do nothing - the unwatched state is only temporary and disappears on page refresh. Or, keep the line opaque if IPInfo is enabled (but that leaves us with the question of what to do about the strike through, and also might be jarringly inconsistent with what users expect). What do you think?

Thanks for explaining this Thalia!

Another thing we could do would be to remove the (i) button if the line is unwatched, since it's easy enough to rewatch if the user wants to see information…

@Niharika and I discussed this yesterday and your suggestion of removing the button if the line is unwatched makes sense.

Change 809034 had a related patch set uploaded (by TsepoThoabala; author: TsepoThoabala):

[mediawiki/extensions/IPInfo@master] Popup transparent after using direct unwatch marker in Special:Watchlist

https://gerrit.wikimedia.org/r/809034

Change 809034 merged by jenkins-bot:

[mediawiki/extensions/IPInfo@master] Remove popup button on using direct unwatch marker in Special:Watchlist

https://gerrit.wikimedia.org/r/809034

AC
  • Remove the button when something is watchlisted

watchlist_remove.png (123Γ—780 px, 27 KB)

  • If the + button is used to add it back then the button should re-appear

watchlist_readded.png (118Γ—795 px, 27 KB)

I compared to an older version to check that the look of the item when it is unwatched is otherwise the same.

I tested Vector 2022, 2010 and Minerva.

Test environment: https://en.wikipedia.beta.wmflabs.org IP Info 0.0.0 (f89ebaa) 13:40, 28 June 2022.
Test browser: Firefox 91.